#!/bin/sh
# \
exec tclsh "$0" ${1+"$@"}

# --- array.tcl --- Test harness for the array syntax
#
# Copyright (C) I.B.Findleton,2001. All Rights Reserved
#
package require Containers

set b [bag]

$b add a b c d e f g

puts "Indices for $b are [array names $b]"

set t [struct Name Address Phone]

set iain [$t "Iain Findleton" "300 Wonder Way" "202-555-3094"]

puts "Structure Keys for $iain [array names $iain]"


